@font-face {
    font-family: 'SansLight';
    src: url('./PPFragment-SansLight.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Sans';
    src: url('./PPFragment-Sans.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'SerifLight';
    src: url('./PPFragment-SerifLight.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'SerifLightItalic';
    src: url('./PPFragment-SerifLightItalic.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
}

:root {
    --green: #5f6754;
    --sans-light: 'SansLight';
    --serif-italic: 'SerifLightItalic';
    --serif-light: 'SerifLight';
    --sans: 'Sans';
    --black: #1c2126;
    --cream: #F0E8E4;
}

* {
    padding: 0px 0px;
    margin: 0px 0px;
    box-sizing: border-box;
    font-family: var(--sans-light);
}


html,
body {
    height: 100%;
    width: 100%;
    position: relative;
}

.main {
    position: relative;
}

.fullScrMenu {
    /* display: none; */
    width: 100vw;
    height: 100vh;
    position: absolute;
    left: 100%;
    background-color: var(--cream);
    padding: 4vw;

    & .head {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 5vw;

        & .closeMenu {
            width: 10vw;
        }

        & img:nth-child(1) {
            width: 20vw;
        }
    }

    & .innerMenu {
        width: 100%;
        height: 100%;
        /* background-color: red; */

        & li {
            min-height: 10vh;
            /* background-color: yellow; */
            color: var(--green);
            margin-bottom: 2vw;
            font-size: 8vw;
            padding: 0 10vw;
            display: flex;
            align-items: center;
            justify-content: flex-start;
        }
    }



}

.playMusic {
    width: 70px;
    height: 70px;
    background-color: var(--black);
    border-radius: 50%;
    position: absolute;
    right: 5%;
    bottom: 5%;
    display: flex;
    justify-content: center;
    align-items: center;
    /* transition: all 1s linear; */
    /* animation: rotate 4s infinite linear; */
}




@keyframes rotate {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }

}

.playMusic img {
    width: 80%;
}


nav {
    min-height: 8vw;
    /* background-color: red; */
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 2vw 7vw;
}

nav ul {
    list-style: none;
    text-transform: uppercase;
    display: flex;
    font-size: 0.8vw;
    gap: 2vw;
}

.menu {
    display: none;
}

nav .logo img {
    width: 7vw;
}

.btn {
    padding: 2vw 5vw;
    border-radius: 9vw;
    border: 0;
    background-color: var(--green);
    color: white;
    text-transform: uppercase;
    font-size: 1rem;
    margin-top: 1vw;
}

.btn:focus {
    outline: none;
}

.heroBanner {
    /* background-color: red; */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-height: 50vh;
    padding: 4vw 0;
}

.heroBanner h1 {
    font-size: 7vw;
    line-height: 8vw;
    font-weight: 500;
    text-align: center;
    text-transform: uppercase;
}

.heroBanner h1>span {
    font-weight: 200;
    font-family: var(--serif-italic);

}

.video {
    min-height: 100vh;
    overflow: hidden;
}

.video video {
    width: 100%;
}

#page2 {
    min-height: 50vh;
    display: flex;
    justify-content: center;
    align-items: center;

}

#page2 p {
    font-family: var(--serif-light);
    font-size: 1.5vw;
    max-width: 60%;
    text-align: center;

}

#page3 {
    min-height: 100vh;
    background-image: url('https://images.pexels.com/photos/5953742/pexels-photo-5953742.jpeg');
    background-size: cover;
    background-repeat: no-repeat;
    padding: 7vw 10vw;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

}

#page3>.page3Top p {
    font-family: var(--sans-light);
    text-transform: uppercase;
    font-size: 1.2vw;
    color: white;
    text-align: center;
    margin-bottom: 2vw;
    text-decoration: underline;
    font-weight: 200;

}

#page3 h2 {
    font-family: var(--sans-light);
    text-transform: uppercase;
    text-align: center;
    font-style: italic;
    font-size: 3vw;
    color: white;
    font-weight: 200;
}

.page3Bottom {
    width: 100%;
    height: 20vw;
    display: flex;
    /* background-color: red; */
}


.hotel {
    width: 33.33%;
    height: 100%;
    border-left: 2px solid white;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.hotel span {
    font-family: var(--sans-light);
    font-size: 1vw;
    text-transform: uppercase;
    color: white;
    font-weight: 200;
}

.hotel h3 {
    font-family: var(--serif-italic);
    font-size: 1.3vw;
    text-transform: uppercase;
    color: white;
    font-weight: 500;
}

#page3 .mobileCarousal {
    display: none;
}

/* Page4 CSS */

#page4 {
    min-height: 90vh;
    width: 100%;
    padding: 5vw 0vw;
    display: flex;
    flex-direction: column;
    /* align-items: center; */
    justify-content: center;

}

#page4 h1 {
    font-size: 6.5vw;
    font-family: var(--sans);
    line-height: 6.2vw;
    text-align: center;
    color: var(--black);
    font-weight: 200;
    margin-bottom: 9vw;
}

#page4 span {
    font-family: var(--serif-italic);
    font-weight: 400;
}

.images {
    position: relative;
    /* background-color: yellow; */
    padding: 4vw 5vw;
    margin: 0 auto;
    max-width: 90%;
    overflow: hidden;
}

#page4>.images>#smallImg {
    width: 33%;
    position: absolute;
    left: -5%;
    top: -10%;
    z-index: 2;
    border: 2vw solid white;
}

.images #bigImg {
    position: relative;
    width: 100%;
    /* height: 50%; */
}

/* Page5 Css */
#page5 {
    min-height: 100vh;
    width: 100%;
    display: flex;
    /* background-color: red; */

}

#page5 .pageLeft {
    width: 50%;
    height: 100%;
    overflow: hidden;
    object-fit: cover;
    display: flex;
    justify-content: center;
    align-items: center;
    /* background-color: yellow; */
}

.pageRight div {
    margin-bottom: 2vw;
}

#page5 .pageLeft img {
    width: 100%;
}

.pageRight {
    width: 50%;
    color: var(--black);
    position: relative;
    padding: 0vw 5vw;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

}

.pageRight h2 {
    text-transform: uppercase;
    font-size: 3vw;
    font-weight: 100;
}

.pageRight p {
    font-size: 1.2vw;
    max-width: 70%;
}



.pageRight #img {
    width: 30vw;
    height: 35vh;
    /* position: absolute; */
    background-image: url(https://res.cloudinary.com/dn3oxgpx7/image/upload/v1774710903/Princess-Yaiza_qxloqx.avif);
    background-position: center;
    background-size: cover;
}


#page6 {
    width: 100%;
    min-height: 100vh;
    position: relative;
    background-color: var(--black);
    padding: 12vw 0vw;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-image: url('./Noise.png');
    background-attachment:fixed;

}

#page6 h4 {
    font-size: 7vw;
    text-transform: uppercase;
    color: white;
    font-family: var(--sans-light);
    font-weight: 100;
    text-align: center;

}

#page6 span {
    font-family: var(--serif-italic);
}

#page6 p {
    font-size: 1.1vw;
    max-width: 60%;
    margin: 0 auto;
    text-align: center;
    font-family: var(--serif-light);
    color: white;
}


/* Swiper CSS */
.swiper {
    width: 100%;
    height: 50%;
    margin: 10% 0;
    padding-top: 50px;
    padding-bottom: 50px;
}

.swiper-slide {
    width: 500px;
    /* background-color: red; */
    height: 500px;
    object-fit: cover;
}

.swiper-slide img {
    display: block;
    width: 100%;
}

.swiper-slide video {
    width: 100%;
}

#page7 {
    min-height: 90vh;
    width: 100%;
    padding: 1vw;
    position: relative;

}

#page7 video {
    width: 100%;
    /* left: 0; */
}

.videoContent {
    position: absolute;
    z-index: 20;
    top: 30%;
    left: 50%;
    transform: translate(-50%, -20%);
    color: white;
    /* background-color: red; */
    text-align: center;
}

#title {
    font-family: var(--sans);
    text-transform: uppercase;
    margin-bottom: 0.5vw;
}

.videoContent h3,
.content h3 {
    font-size: 3.5vw;
    font-family: var(--sans-light);
    text-transform: uppercase;
    font-weight: 100;
    margin-bottom: 0.5vw;

    & span {
        font-family: var(--serif-italic);
    }
}

#videoDesc {
    font-family: var(--serif-light);
    font-style: 2vw;
}

.btn-white {
    padding: 0.6vw 1vw;
    border: 2px solid white;
    border-radius: 2rem;
    margin: 1.5vw 0;
    color: white;
    background-color: transparent;
}

#page8 {
    min-height: 50vh;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5vw 0;
    text-align: center;
}

#page8 .contentDesc {
    font-family: var(--serif-light);
    text-align: center;

}

#footer {
    min-height: 40vh;
    padding: 4vw 0;
    width: 100%;
    display: flex;
    justify-content: center;
    /* align-items: center; */
    background-color: var(--cream);
}

.footerWrapper {
    text-align: center;
    width: 30%;
}

.newsLetterWrapper {
    margin: 2vw 0;
    padding: 1rem;

}

.footerWrapper p {
    font-size: 1vw;
    margin: 1vw 0;
}

.newsLetterWrapper input {
    width: 70%;
    padding: 0.7vw 1vw;
    border-top-left-radius: 3vw;
    border-bottom-left-radius: 3vw;
    border: none;
    background-color: var(--cream);
    border: 1px solid var(--green);
    outline: none;
}

.newsLetterWrapper button {
    width: 20%;
    padding: 0.7vw 1vw;
    border: none;
    border-top-right-radius: 3vw;
    border-bottom-right-radius: 3vw;
    background-color: var(--green);
    color: var(--cream);

}



/* Media Queries */

@media (max-width:790px) {
    nav ul {
        display: none;
    }

    .fullScrMenu {
        display: block;
        left: 100%;
        transition: left 0.4s ease-in;
    }

    nav .logo img {
        width: 16vw;
    }

    nav {
        padding: 4vw 7vw;
        border-bottom: 1px solid var(--green);
    }

    .heroBanner {
        min-height: 30vh;
    }

    .heroBanner h1 {
        font-size: 20vw;
        line-height: 23vw;
    }

    .menu {
        display: block;
    }

    .menu img {
        width: 10vw;
    }

    .heroBanner .btn {
        margin: 6vw 0;
    }

    .video {
        min-height: 20vh;
    }

    #page2 {
        padding: 1vw 2vw;
        min-height: 30vh;
    }

    #page2 p {
        font-size: 4vw;
        line-height: 7vw;
        max-width: 80%;
    }

    #page3 {
        min-height: 30vh;
        background-image: none;
        padding: 1vw 3vw;
        position: relative;

    }

    #page3 .page3Bottom {
        display: none;
    }

    #page3 .page3Top {
        position: absolute;
        z-index: 100;
        top: 30%;
        left: 50%;
        transform: translate(-50%, -30%);

        & p {
            font-size: 4vw;
        }

        & h2 {
            font-size: 5vw;
        }
    }


    #page3 .mobileCarousal {
        display: block;
    }

    .mobileCarousal {
        & .swiper {
            width: 100%;
            height: 100%;
        }

        & .swiper-slide {
            text-align: center;
            font-size: 18px;
            background: #444;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100%;
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
            min-height: 70vh;

            & .hotel {
                border: 0;
                width: 100%;

                & h3 {
                    font-size: 9vw;
                }

                & span {
                    font-size: 4vw;
                }
            }
        }

        & .swiper-slide img {
            display: block;
            width: 100%;
            height: 100%;
            object-fit: cover;
        }

    }

    #page4 {
        min-height: 40vh;
        padding: 12vw 0;
    }

    #page4 h1 {
        font-size: 9vw;
        line-height: 9vw;
    }

    #page5 {
        flex-direction: column;
        padding: 1vw 5vw;
    }

    #page5 .pageLeft {
        overflow: hidden;
        width: 100%;

    }

    #page5 .pageRight {
        width: 100%;
        padding: 3vw 0;

        & h2 {
            font-size: 7vw;
        }

    }

    #page5 .pageRight #img {
        width: 100%;
    }

    #page5 .pageRight p {
        font-size: 3vw;
        max-width: 100%;
        margin: 2vw 0;
    }

    .pageRight div {
        margin-bottom: 6vw;
    }

    #page6 {
        min-height: 40vh;
        padding: 12vw 0;

        & p {
            font-size: 3.2vw;
            line-height: 5vw;
            max-width: 90%;
        }
    }

    #page6 .swiper-wrapper {
        width: 100px;
        height: 20vh;
    }

    #page7 {
        min-height: 30vh;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: var(--green);

        & .videoContent {
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);

            & h3 {
                font-size: 6vw;
            }

            & #title {
                font-size: 2.2vw;
            }

            & #videoDesc {
                font-size: 3vw;
            }
        }

    }

    #page8 {
        min-height: 30vh;

        & #title {
            font-size: 2.2vw;
        }

        & h3 {
            font-size: 6vw;
        }

        & #contentDesc {
            font-size: 3vw;
            max-width: 100%;
            margin: 2vw auto;
        }
    }

    #footer {
        min-height: 20vh;
        padding: 4vw 0;

        & .footerWrapper {
            width: 80%;

            & p {
                font-size: 3vw;
            }

            & img {
                width: 20vw;
                margin-bottom: 1vw;
            }
        }
    }

}